abstract class DailyStatus {}

class DailyInitial extends DailyStatus {}

class DailyLoading extends DailyStatus {}

class DailySuccess extends DailyStatus {
  final int amount;
  DailySuccess(this.amount);
}

class DailyError extends DailyStatus {
  final String message;
  DailyError(this.message);
}
